Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util.ssi
Interface SsiCommand

All Known Implementing Classes:
  SsiConfig, SsiEcho, SsiExec, SsiFlastmod, SsiFsize, SsiInclude

public interface SsiCommand

Interface implemented by the different SsiCommands.

Version:
  $Revision: 1.2 $, $Date: 2001/04/26 22:58:49 $
Author:
  Bip Thelin

Method Summary
`java.lang.String` | `getStream(java.lang.String[] strParamType, java.lang.String[] strParam)` Get the processed result of this SsiCommands, called after and only if `isPrintable()` returns `true`
`boolean` | `isModified()` Return `true` if this SsiCommand has been modified since the last request.
`boolean` | `isPrintable()` Called before `getStream()` and `process()`.
`void` | `process(java.lang.String[] strParamType, java.lang.String[] strParam)` Process this request, used if `isPrintable()` returns false

Method Detail

### getStream

    public java.lang.String getStream(java.lang.String[] strParamType,
                                      java.lang.String[] strParam)

  Get the processed result of this SsiCommands, called after and only if `isPrintable()` returns `true`

  Parameters:
    `strParamType` - The type of parameter
    `strParam` - The value of the parameter
  Returns:
    result from this SsiCommand

### process

    public void process(java.lang.String[] strParamType,
                        java.lang.String[] strParam)

  Process this request, used if `isPrintable()` returns false

  Parameters:
    `strParamType` - The type of parameter
    `strParam` - The value of the parameter

### isPrintable

    public boolean isPrintable()

  Called before `getStream()` and `process()`. Return `true` if this SsiCommand provide an output else `false`

  Returns:
    boolean result

### isModified

    public boolean isModified()

  Return `true` if this SsiCommand has been modified since the last request.

  Returns:
    a value of type 'boolean'

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.